/***************************************************************************
 *            usage.c
 *
 *  Fri Oct 24 11:30:05 2003
 *  Copyright  2003  Phil Kett
 *  pkett@genesis-midi.com
 ****************************************************************************/


/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "../include/remsync.h"
#include <stdio.h>

void usage ()
{
	printf("Remsync version %s\n\n", VERSION);
	printf("remsync -S -p port\n");
	printf("remsync -H hostname -p port -s source -d dest\n");
	printf("remsync -h\n\n");
	printf("Options:\n\n");
	printf("\t-h\t\tPrint this help\n");
	printf("\t-H\t\tSpecify hostname of remote server\n");
	printf("\t-S\t\tStart server\n");
	printf("\t-m\t\tStart file system monitoring on Source Directory\n");
	printf("\t-n directory\tDirectory for file notifications\n");
	printf("\t-p port\t\tSpecify port for server or client\n");
	printf("\t-s directory\tSpecify Source directory\n");
	printf("\t-d directory\tSpecify Destination directory\n");
	printf("\t-c config\tSpecify Configuration File\n");
	printf("\t-i ip_list\tComma seperated list of allowed IP addresses\n");
	printf("\t-r\t\tGenerate report after processing\n");
	printf("\t-R\t\tEnable client side deletes\n");
	printf("\t-N\t\tDon't overwrite newer files on destination\n");
	printf("\t-D\t\tRun in debug mode\n");
	printf("\n\n");
	exit(0);
}

void print_report() {

	int time_taken;
	int time_left;
	int hours, minutes, seconds, speed;
	time_taken = stats.finish - stats.start;
	
	hours = (int)(time_taken / 3600);
	time_left = time_taken - (3600 * hours);
	minutes = (int)(time_left / 60);
	seconds = time_left - (60 * minutes);
	
	printf("Time taken: %d hours %d mins %d secs\n", hours, minutes, seconds);
	printf("Source dir %s\n", conf.source);
	printf("Dest dir %s\n", conf.dest);
	printf("Total files processed: %ld\t\t", stats.num_files_processed);
	printf("Total files copied: %ld\n", stats.num_files_copied);
	printf("\nTotal Directories processed: %ld\t\t", stats.num_dirs_processed);
	printf("Total Directories copied: %ld\n", stats.num_dirs_copied);
	printf("\nTotal links processed: %ld\n", stats.num_links_copied);
	printf("\nTotal bytes copied %Ld\n", stats.total_bytes_copied);
	speed = stats.total_bytes_copied / stats.transfer_time;
	printf("Average speed %d bytes/sec\n", speed);
	
	
}
